body {
  /* font-family: 'Roboto', sans-serif; */
  font-family: 'THSarabunNew', sans-serif !important;
}

/* .parallax {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../img/bg.jpg);
  width: 100%;
} */

/* ======================================
        Slider Starts
 ====================================== */

#slider {
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../img/bg.jpg);
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  flex-wrap: wrap;
  padding: 60px;
  /* min-height: 70vh; */
  scroll-behavior: smooth;
}

.logo {
  width: 300px;
}

@media screen and (max-width: 800px) {
  .logo {
    width: 45px;
  }
  #slider {
    display: block;
    /* background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)); */
    /* grid-template-columns: 1fr;
    grid-column-gap: 1em; */
    /* border: 1px solid red !important; */
  }
  .description-subtitle {
    font-size: 25px !important;
  }
  .slider-content {
    /* border: 1px solid red; */
    position: relative;
    top: 10% !important;
    width: 100%;
  }
  .text {
    font-size: 28px !important;
  }
  .btn1, .btn2, .btn3 {
    font-size: 14px !important;
  }
}

.slider {
  width: 100%;
  height: 840px;
  /* background-image: url(../img/bg.jpg);
  background-size: cover;
  background-position: center; */
  color: white;
}

.description-subtitle {
  font-size: 35px;
}

.slider-overlay {
  width: 100%;
  height: 100%;
  /* background: rgba(0, 0, 0, 0.65); */
  position: relative;
}

.slider-content {
  /* border: 1px solid red; */
  position: absolute;
  top: 10%;
  width: 100%;
}

.icons .fa {
  font-size: 35px;
  margin-right: 7px;
}

.cta-div {
  margin-top: 30px;
  /* margin-right: -10px; */
  /* min-width: 300px; */
  /* width: 100% !important; */
  /* border: 2px solid red; */
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.btn1 {
  padding: 13px 18px;
  background-color: transparent;
  color: white;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 18px;
  border: 2px solid white;
  border-top-left-radius: 15px;
  transition: all 0.5s ease-in;
  margin-right: -2px;
  width: 340px;
}

.btn1:hover {
  text-decoration: none;
  color: white;
  background-color: orangered;
  border-color: white;
}

.btn2 {
  width: 400px;
  padding: 13px 18px;
  background-color: transparent;
  color: white;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 18px;
  border: 2px solid white;
/* border-bottom-right-radius: 15px; */
  transition: all 0.5s ease-in;
  margin-left: 0px;
  width: 340px;
}

.btn2:hover {
  text-decoration: none;
  color: white;
  background-color: orangered;
  border-color: white;
}

.btn3 {
  width: 400px;
  padding: 13px 18px;
  background-color: transparent;
  color: white;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 18px;
  border: 2px solid white;
  border-bottom-right-radius: 15px;
  transition: all 0.5s ease-in;
  margin-left: -2px;
  width: 340px;
}

.btn3:hover {
  text-decoration: none;
  color: white;
  background-color: orangered;
  border-color: white;
}




/* .social-networks a.fa {
  border: 1px solid white;
  padding: 10px;
  color: white;
  widows: 35px;
  height: 35px;
  border-radius: 25px;
  margin-right: 2px;
  transition: all 0.5s ease-in;
}

.social-networks a.fa:hover {
  text-decoration: none;
  background-color: deepskyblue;
  border: white;
  border: 1px solid deepskyblue;
} */

.social-networks .icon-nectec {
  /* border: 1px solid red; */
  width: auto !important;
  height: 70px;
  background: url(../img/icon/nectec-logo.png);
  /* background: url(../img/icon/Scenario.png); */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.slider .text, .slider .typed-cursor {
  display: inline-block;
  font-size: 50px;
  /* text-transform: uppercase; */
}

.primary {
  color: #addc75;
}

.typed-cursor {
  opacity: 1;
  animation: blink 0.7s infinite;
  -webkit-animation: blink 0.7s infinite;
  -moz-animation: blink 0.7s infinite;
}

@-webkit-keyframes blink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@-moz-keyframes blink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes blink {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

/* ======================================
        Slider End
 ====================================== */

/* ########################### skills section ########################### */

.group-icon {
  display: flex;
  /* border-bottom: 10px !important; */
}

.item-image-raknam {
  width: 100%;
  height: 80px;
  margin-left: -15px;
  /* background-attachment: fixed; */
}

.icon-raknam {
  background: url(../img/Raknammod.png);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  margin-top:0px;
  width: 100%;
  height: 80px;
}

.icon-monitoring {
  background: url(../img/Monitor.png);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.icon-scenario {
  background: url(../img/Scenario.png);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.icon-optimization {
  background: url(../img/Optimize.png);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

.icon-forcast {
  background: url(../img/Forecast.png);
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
}

#skills {
  padding: 60px 0;
  /* background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));  */
 /*background-color: rgb(68, 68, 68); */
  /* background-color: transparent; */
  background: linear-gradient(rgba(0,0,0, 0.5), rgba(0, 0, 0, 0.75)) , url(../img/bg.jpg);;
  /* background: linear-gradient(rgba(1, 1, 1, 0.5), rgba(1, 1, 1, 0.5)), url(../img/bg.jpg); */
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;

}

.skills-item .raknam-desp {
  color: white !important;
  margin-top: 10px;
}

.skills-container {
  max-width: 95vw;
  margin: 0 auto;
  display: flex;
}

.skills-item {
  border-radius: 5px;
  flex: 1;
  text-align: center;
  margin: 10px 20px !important;
  background: rgb(68, 68, 68);
  /* background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)); */
  /*  */
}

.skills-item>p {
  font-size: 21px !important;
  color: white !important;
}

.skills-item {
  background-color: transparent;
  margin: 10px;
  /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); */
  overflow: hidden;
  padding: 25px 35px;
  position: relative;
  transition: all 0.5s ease 0s;
  z-index: 9;
  margin-top: 20px;
  transition: all 0.5s ease-in;
}

.skills-item:hover {
  /* border: 2px solid orange; */
  /* background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8));  */
  border-radius: 10px;
  transform: scale(1.1, 1.1);
}

.skills-item p {
  color: rgb(41, 41, 41) !important;
}

.skills-item .icon {
  font-size: 60px !important;
  color: #3b312b !important;
  letter-spacing: 1px !important;
}

.skills-item h1 {
  font-size: 30px;
  letter-spacing: 2px;
  margin: 30px 0;
  color: #725920;
  text-decoration: uppercase;
}

.skills-item p {
  width: 75%;
  margin: 0 auto;
  color: #e0e2db;
}

/* (min-width: 576px) { */

@media screen and (max-width: 600px) {
  .skills-container {
    display: block;
    /* grid-template-columns: 1fr;
    grid-column-gap: 1em; */
    /* border: 1px solid red !important; */
  }
}

@media screen and (min-width: 601px) {
  .skills-container {
    display: grid !important;
    ;
    grid-template-columns: 1fr 1fr !important;
    ;
    /* repear(2, 1fr) !important; */
    grid-column-gap: 5px !important;
    ;
    /* border: 1px solid yellow !important; */
  }
}

@media screen and (min-width: 992px) {
  .skills-container {
    display: grid !important;
    grid-template-columns: 1fr 1fr 1fr 1fr !important;
    /* repear(4, 1fr)  !important; */
    grid-column-gap: 5px !important;
    /* border: 1px solid blue !important; */
  }
}

/* ########################### end of skills section ########################### */

/* services start section */

.title {
  margin: 40px 0;
}

.title-text {
  text-align: center;
  font-size: 40px;
  font-weight: bold;
  /* color: #e0e2db; */
  font-style: italic;
  text-transform: uppercase;
}

.title-underline {
  width: 300px;
  border: 3px solid #e6af2e;
  margin: 0 auto;
}

#services {
  min-height: 70vh;
  /* background-color: rgba(161, 219, 202, 0.5);*/
  background: linear-gradient(rgba(161, 219, 202, 0.5), rgba(255, 255, 255, 0.5)) , url(../img/bg.jpg);;
  /* background: linear-gradient(rgba(1, 1, 1, 0.5), rgba(1, 1, 1, 0.5)), url(../img/bg.jpg); */
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  padding: 20px 0 80px 0;
}

.services-container {
  max-width: 90vw;
  margin: 0 auto;
  color: #e0e2db;
}

.service-item {
  overflow: hidden;
  position: relative;
  padding: 60px;
  /* margin: 10px; */
}

.service-item-black {
  /* background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)); */
}

.service-item-white {
  /* background: linear-gradient(rgba(206, 208, 206, 0.6), rgba(206, 208, 206, 0.6)); */
  /* color: #191716; */
}

.front-text {
  text-align: center;
  transition: transform 2s;
}

.back-text {
  position: absolute;
  bottom: -15em;
  width: 75%;
  margin: 0 auto;
  height: 100%;
  transition: bottom 2s;
  padding: 30px 0;
}

.back-text h1 {
  margin-bottom: 20px;
  /* color: red !important; */
}

.back-text button {
  margin-top: 20px;
  padding: 10px 20px;
  background: transparent;
  border: 2px solid #e6af2e;
  font-size: 20px;
  color: #e6af2e;
}

.back-text button:hover {
  background-color: #e6af2e;
  color: #191716;
}

.service-item-white button {
  background: #e6af2e;
  color: #191716;
}

.service-item-white button:hover {
  background: #191716;
  border-color: #191716;
  color: #e6af2e;
}

.service-item {
  transition: all 0.5s ease-in;
  /* background-color: transparent; */
}

.service-item .icon {
  width: 60%;
  height: auto;
  margin-bottom: 30px;
  color: #e6af2e;
  background-size: cover;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  background-size: cover;
}

/* .service-item:hover {
  background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7));
  color: white;
  text-decoration: none;
} */

.service-item:hover .front-text {
  /* transform: translateY(-200px); */
  /* transform: translateY(-40px); */
  transform: scale(1.1, 1.1);
  /* border: 1px solid white; */
  /* color: red; */
}

.service-item:hover .back-text {
  bottom: 0;
}

@media screen and (max-width: 570px) {
  .services-container {
    /* border: 1px solid red !important; */
    text-align: center !important;
    display: block;
    /* grid-template-columns: 1fr; */
  }
  .title-text {
    font-weight: bold;
    /* border: 1px solid yellow !important; */
    text-align: center;
    font-size: 20px !important;
    /* color: #e0e2db; */
    font-style: italic;
    text-transform: uppercase;
  }
  .service-item .icon {
    text-align: center;
    width: 120%;
    margin-left: -40px;
    height: auto;
    /* width: 400px;; */
  }
}

/* @media screen and (max-width: 570px) {
  .services-container {
    text-align: center !important;
    display: block;
    grid-template-columns: 1fr;
  }
  .service-item .icon {
  
    text-align: center !important;
    float: none;
   
  }
} */

/* @media screen and (min-width:570px) {
  .services-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
  }
  .service-item .icon {
  
    width: 120px;
   
  }
} */

/* @media screen and (min-width:976px) {
  .service-item .icon {
  
    width: 200px;
   
  }
  .services-container {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
  }
  .services-container .service-item:nth-of-type(1) {
    flex: 1;
    order: 1
  }
  .services-container .service-item:nth-of-type(2) {
    flex: 1;
    order: 2
  }
  .services-container .service-item:nth-of-type(3) {
    flex: 1;
    order: 4
  }
  .services-container .service-item:nth-of-type(4) {
    flex: 1;
    order: 3
  }
} */

/* end of services section */
